Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network148.151.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
148.151.0.0
Broadcast address
148.151.255.255
First usable
148.151.0.1
Last usable
148.151.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
B (default /16)
As numbers
Hex 94970000 · Integer 2492923904 to 2492989439
Reverse DNS zone
151.148.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010100.10010111..00000000.00000000148.151.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10010100.10010111..00000000.00000000148.151.0.0
Broadcast10010100.10010111..11111111.11111111148.151.255.255
Split into smaller subnets/23

148.151.0.0/16 makes 128 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1148.151.0.0/23148.151.0.1 to 148.151.1.254148.151.1.255510
2148.151.2.0/23148.151.2.1 to 148.151.3.254148.151.3.255510
3148.151.4.0/23148.151.4.1 to 148.151.5.254148.151.5.255510
4148.151.6.0/23148.151.6.1 to 148.151.7.254148.151.7.255510
5148.151.8.0/23148.151.8.1 to 148.151.9.254148.151.9.255510
6148.151.10.0/23148.151.10.1 to 148.151.11.254148.151.11.255510
7148.151.12.0/23148.151.12.1 to 148.151.13.254148.151.13.255510
8148.151.14.0/23148.151.14.1 to 148.151.15.254148.151.15.255510
9148.151.16.0/23148.151.16.1 to 148.151.17.254148.151.17.255510
10148.151.18.0/23148.151.18.1 to 148.151.19.254148.151.19.255510
11148.151.20.0/23148.151.20.1 to 148.151.21.254148.151.21.255510
12148.151.22.0/23148.151.22.1 to 148.151.23.254148.151.23.255510
13148.151.24.0/23148.151.24.1 to 148.151.25.254148.151.25.255510
14148.151.26.0/23148.151.26.1 to 148.151.27.254148.151.27.255510
15148.151.28.0/23148.151.28.1 to 148.151.29.254148.151.29.255510
16148.151.30.0/23148.151.30.1 to 148.151.31.254148.151.31.255510
17148.151.32.0/23148.151.32.1 to 148.151.33.254148.151.33.255510
18148.151.34.0/23148.151.34.1 to 148.151.35.254148.151.35.255510
19148.151.36.0/23148.151.36.1 to 148.151.37.254148.151.37.255510
20148.151.38.0/23148.151.38.1 to 148.151.39.254148.151.39.255510
21148.151.40.0/23148.151.40.1 to 148.151.41.254148.151.41.255510
22148.151.42.0/23148.151.42.1 to 148.151.43.254148.151.43.255510
23148.151.44.0/23148.151.44.1 to 148.151.45.254148.151.45.255510
24148.151.46.0/23148.151.46.1 to 148.151.47.254148.151.47.255510
25148.151.48.0/23148.151.48.1 to 148.151.49.254148.151.49.255510
26148.151.50.0/23148.151.50.1 to 148.151.51.254148.151.51.255510
27148.151.52.0/23148.151.52.1 to 148.151.53.254148.151.53.255510
28148.151.54.0/23148.151.54.1 to 148.151.55.254148.151.55.255510
29148.151.56.0/23148.151.56.1 to 148.151.57.254148.151.57.255510
30148.151.58.0/23148.151.58.1 to 148.151.59.254148.151.59.255510
31148.151.60.0/23148.151.60.1 to 148.151.61.254148.151.61.255510
32148.151.62.0/23148.151.62.1 to 148.151.63.254148.151.63.255510
33148.151.64.0/23148.151.64.1 to 148.151.65.254148.151.65.255510
34148.151.66.0/23148.151.66.1 to 148.151.67.254148.151.67.255510
35148.151.68.0/23148.151.68.1 to 148.151.69.254148.151.69.255510
36148.151.70.0/23148.151.70.1 to 148.151.71.254148.151.71.255510
37148.151.72.0/23148.151.72.1 to 148.151.73.254148.151.73.255510
38148.151.74.0/23148.151.74.1 to 148.151.75.254148.151.75.255510
39148.151.76.0/23148.151.76.1 to 148.151.77.254148.151.77.255510
40148.151.78.0/23148.151.78.1 to 148.151.79.254148.151.79.255510
41148.151.80.0/23148.151.80.1 to 148.151.81.254148.151.81.255510
42148.151.82.0/23148.151.82.1 to 148.151.83.254148.151.83.255510
43148.151.84.0/23148.151.84.1 to 148.151.85.254148.151.85.255510
44148.151.86.0/23148.151.86.1 to 148.151.87.254148.151.87.255510
45148.151.88.0/23148.151.88.1 to 148.151.89.254148.151.89.255510
46148.151.90.0/23148.151.90.1 to 148.151.91.254148.151.91.255510
47148.151.92.0/23148.151.92.1 to 148.151.93.254148.151.93.255510
48148.151.94.0/23148.151.94.1 to 148.151.95.254148.151.95.255510
49148.151.96.0/23148.151.96.1 to 148.151.97.254148.151.97.255510
50148.151.98.0/23148.151.98.1 to 148.151.99.254148.151.99.255510
51148.151.100.0/23148.151.100.1 to 148.151.101.254148.151.101.255510
52148.151.102.0/23148.151.102.1 to 148.151.103.254148.151.103.255510
53148.151.104.0/23148.151.104.1 to 148.151.105.254148.151.105.255510
54148.151.106.0/23148.151.106.1 to 148.151.107.254148.151.107.255510
55148.151.108.0/23148.151.108.1 to 148.151.109.254148.151.109.255510
56148.151.110.0/23148.151.110.1 to 148.151.111.254148.151.111.255510
57148.151.112.0/23148.151.112.1 to 148.151.113.254148.151.113.255510
58148.151.114.0/23148.151.114.1 to 148.151.115.254148.151.115.255510
59148.151.116.0/23148.151.116.1 to 148.151.117.254148.151.117.255510
60148.151.118.0/23148.151.118.1 to 148.151.119.254148.151.119.255510
61148.151.120.0/23148.151.120.1 to 148.151.121.254148.151.121.255510
62148.151.122.0/23148.151.122.1 to 148.151.123.254148.151.123.255510
63148.151.124.0/23148.151.124.1 to 148.151.125.254148.151.125.255510
64148.151.126.0/23148.151.126.1 to 148.151.127.254148.151.127.255510
65148.151.128.0/23148.151.128.1 to 148.151.129.254148.151.129.255510
66148.151.130.0/23148.151.130.1 to 148.151.131.254148.151.131.255510
67148.151.132.0/23148.151.132.1 to 148.151.133.254148.151.133.255510
68148.151.134.0/23148.151.134.1 to 148.151.135.254148.151.135.255510
69148.151.136.0/23148.151.136.1 to 148.151.137.254148.151.137.255510
70148.151.138.0/23148.151.138.1 to 148.151.139.254148.151.139.255510
71148.151.140.0/23148.151.140.1 to 148.151.141.254148.151.141.255510
72148.151.142.0/23148.151.142.1 to 148.151.143.254148.151.143.255510
73148.151.144.0/23148.151.144.1 to 148.151.145.254148.151.145.255510
74148.151.146.0/23148.151.146.1 to 148.151.147.254148.151.147.255510
75148.151.148.0/23148.151.148.1 to 148.151.149.254148.151.149.255510
76148.151.150.0/23148.151.150.1 to 148.151.151.254148.151.151.255510
77148.151.152.0/23148.151.152.1 to 148.151.153.254148.151.153.255510
78148.151.154.0/23148.151.154.1 to 148.151.155.254148.151.155.255510
79148.151.156.0/23148.151.156.1 to 148.151.157.254148.151.157.255510
80148.151.158.0/23148.151.158.1 to 148.151.159.254148.151.159.255510
81148.151.160.0/23148.151.160.1 to 148.151.161.254148.151.161.255510
82148.151.162.0/23148.151.162.1 to 148.151.163.254148.151.163.255510
83148.151.164.0/23148.151.164.1 to 148.151.165.254148.151.165.255510
84148.151.166.0/23148.151.166.1 to 148.151.167.254148.151.167.255510
85148.151.168.0/23148.151.168.1 to 148.151.169.254148.151.169.255510
86148.151.170.0/23148.151.170.1 to 148.151.171.254148.151.171.255510
87148.151.172.0/23148.151.172.1 to 148.151.173.254148.151.173.255510
88148.151.174.0/23148.151.174.1 to 148.151.175.254148.151.175.255510
89148.151.176.0/23148.151.176.1 to 148.151.177.254148.151.177.255510
90148.151.178.0/23148.151.178.1 to 148.151.179.254148.151.179.255510
91148.151.180.0/23148.151.180.1 to 148.151.181.254148.151.181.255510
92148.151.182.0/23148.151.182.1 to 148.151.183.254148.151.183.255510
93148.151.184.0/23148.151.184.1 to 148.151.185.254148.151.185.255510
94148.151.186.0/23148.151.186.1 to 148.151.187.254148.151.187.255510
95148.151.188.0/23148.151.188.1 to 148.151.189.254148.151.189.255510
96148.151.190.0/23148.151.190.1 to 148.151.191.254148.151.191.255510
97148.151.192.0/23148.151.192.1 to 148.151.193.254148.151.193.255510
98148.151.194.0/23148.151.194.1 to 148.151.195.254148.151.195.255510
99148.151.196.0/23148.151.196.1 to 148.151.197.254148.151.197.255510
100148.151.198.0/23148.151.198.1 to 148.151.199.254148.151.199.255510
101148.151.200.0/23148.151.200.1 to 148.151.201.254148.151.201.255510
102148.151.202.0/23148.151.202.1 to 148.151.203.254148.151.203.255510
103148.151.204.0/23148.151.204.1 to 148.151.205.254148.151.205.255510
104148.151.206.0/23148.151.206.1 to 148.151.207.254148.151.207.255510
105148.151.208.0/23148.151.208.1 to 148.151.209.254148.151.209.255510
106148.151.210.0/23148.151.210.1 to 148.151.211.254148.151.211.255510
107148.151.212.0/23148.151.212.1 to 148.151.213.254148.151.213.255510
108148.151.214.0/23148.151.214.1 to 148.151.215.254148.151.215.255510
109148.151.216.0/23148.151.216.1 to 148.151.217.254148.151.217.255510
110148.151.218.0/23148.151.218.1 to 148.151.219.254148.151.219.255510
111148.151.220.0/23148.151.220.1 to 148.151.221.254148.151.221.255510
112148.151.222.0/23148.151.222.1 to 148.151.223.254148.151.223.255510
113148.151.224.0/23148.151.224.1 to 148.151.225.254148.151.225.255510
114148.151.226.0/23148.151.226.1 to 148.151.227.254148.151.227.255510
115148.151.228.0/23148.151.228.1 to 148.151.229.254148.151.229.255510
116148.151.230.0/23148.151.230.1 to 148.151.231.254148.151.231.255510
117148.151.232.0/23148.151.232.1 to 148.151.233.254148.151.233.255510
118148.151.234.0/23148.151.234.1 to 148.151.235.254148.151.235.255510
119148.151.236.0/23148.151.236.1 to 148.151.237.254148.151.237.255510
120148.151.238.0/23148.151.238.1 to 148.151.239.254148.151.239.255510
121148.151.240.0/23148.151.240.1 to 148.151.241.254148.151.241.255510
122148.151.242.0/23148.151.242.1 to 148.151.243.254148.151.243.255510
123148.151.244.0/23148.151.244.1 to 148.151.245.254148.151.245.255510
124148.151.246.0/23148.151.246.1 to 148.151.247.254148.151.247.255510
125148.151.248.0/23148.151.248.1 to 148.151.249.254148.151.249.255510
126148.151.250.0/23148.151.250.1 to 148.151.251.254148.151.251.255510
127148.151.252.0/23148.151.252.1 to 148.151.253.254148.151.253.255510
128148.151.254.0/23148.151.254.1 to 148.151.255.254148.151.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses